<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rekla_fehlerart" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" isSummaryWithPageHeaderAndFooter="true" uuid="62652053-d2b7-404d-a742-47950a82d00d">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.8627639691774651"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="24"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_KUNDE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VON" class="java.sql.Timestamp" isForPrompting="false"/>
	<parameter name="P_BIS" class="java.sql.Timestamp" isForPrompting="false"/>
	<parameter name="P_NURBERECHTIGTE" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_SORTIERUNG" class="java.lang.String"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_KPI_VARIABLEN" class="com.lp.server.kpi.service.KpiReportStorage" isForPrompting="false">
		<parameterDescription><![CDATA[Report-Variablen-Speicher]]></parameterDescription>
	</parameter>
	<field name="Fehlerart" class="java.lang.String"/>
	<field name="Kunde" class="java.lang.String"/>
	<field name="Maschinengruppe" class="java.lang.String"/>
	<field name="Reklamationsart" class="java.lang.String"/>
	<field name="Verursacher" class="java.lang.String"/>
	<field name="Reklamationsnummer" class="java.lang.String"/>
	<field name="Gruppierung" class="java.lang.String"/>
	<field name="ReklamationId" class="java.lang.Integer"/>
	<field name="Grund" class="java.lang.String"/>
	<variable name="ReklaAnzahl" class="java.lang.Integer" resetType="Group" resetGroup="Gruppierung" calculation="Count">
		<variableExpression><![CDATA[$F{Reklamationsnummer}]]></variableExpression>
	</variable>
	<variable name="Materialkosten" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select N_KOSTENMATERIAL from REKLA_REKLAMATION where C_NR='"+$F{Reklamationsnummer}+"' and MANDANT_C_NR='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"';"
)]]></variableExpression>
	</variable>
	<variable name="Arbeitskosten" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select N_KOSTENARBEITSZEIT from REKLA_REKLAMATION where C_NR='"+$F{Reklamationsnummer}+"' and MANDANT_C_NR='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"';"
)]]></variableExpression>
	</variable>
	<variable name="Materialkosten_Gesamt" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$V{Materialkosten}]]></variableExpression>
	</variable>
	<variable name="Arbeitskosten_Gesamt" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$V{Arbeitskosten}]]></variableExpression>
	</variable>
	<variable name="Von" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[(new SimpleDateFormat("yyyy-MM-dd", Locale.GERMAN)).format($P{P_VON})+" 00:00:00"]]></variableExpression>
	</variable>
	<variable name="Bis" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[(new SimpleDateFormat("yyyy-MM-dd", Locale.GERMAN)).format($P{P_BIS})+" 23:59:59"]]></variableExpression>
	</variable>
	<variable name="Ablieferungen" class="java.lang.Number">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"Select sum(N_MENGE) from FERT_LOSABLIEFERUNG where T_AENDERN >= '"+$V{Von}+"' and T_AENDERN <= '"+$V{Bis}+"';"
)]]></variableExpression>
	</variable>
	<variable name="Anzahl_Ablieferungen" class="java.lang.Long">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"Select count(I_ID) from FERT_LOSABLIEFERUNG where T_AENDERN >= '"+$V{Von}+"' and T_AENDERN <= '"+$V{Bis}+"';"
)]]></variableExpression>
	</variable>
	<variable name="ReklaAnzahl_Gesamt" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{Reklamationsnummer}]]></variableExpression>
	</variable>
	<group name="Gruppierung" minHeightToStartNewPage="40">
		<groupExpression><![CDATA[$F{Gruppierung}]]></groupExpression>
		<groupHeader>
			<band height="29" splitType="Stretch">
				<textField pattern="" isBlankWhenNull="true">
					<reportElement key="Gruppierung" isPrintRepeatedValues="false" mode="Transparent" x="0" y="5" width="329" height="23" forecolor="#000000" backcolor="#FFFFFF" uuid="c770ef05-e527-46ca-8b64-a14b57a0200b"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="18" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Gruppierung}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement key="line-2" x="0" y="28" width="535" height="1" uuid="7fe47e81-9eac-4440-960d-e53dc748c315"/>
					<graphicElement>
						<pen lineWidth="1.0" lineStyle="Dashed"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="15" splitType="Stretch">
				<textField pattern="#,##0">
					<reportElement x="60" y="1" width="100" height="10" uuid="861fe32e-5576-4485-b54b-33787fe4edd9"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{ReklaAnzahl}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="60" y="0" width="100" height="1" uuid="9e5f3a0a-a4df-437c-8786-4b87c1ffc0fe"/>
					<graphicElement>
						<pen lineWidth="0.5"/>
					</graphicElement>
				</line>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="57" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Transparent" x="0" y="0" width="452" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c57a278b-9ee7-464c-80c2-e8f9fbb6c428"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="453" y="0" width="62" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b8be4522-7a7f-4aeb-974e-fbcef870a239"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + $V{PAGE_NUMBER} + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="515" y="0" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0c66d2b1-7de6-404c-b3ba-77a82be36a04"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Fehlerarten" mode="Opaque" x="0" y="12" width="141" height="24" forecolor="#000000" backcolor="#FFFFFF" uuid="94186b2f-4ea9-410f-aebf-d27e66ab31f3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Fehlerarten]]></text>
			</staticText>
			<staticText>
				<reportElement key="Kunde" mode="Opaque" x="320" y="22" width="30" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="6b604471-48f3-495d-93a3-1dd4e999635e">
					<printWhenExpression><![CDATA[new Boolean($P{P_KUNDE}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Kunde]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_KUNDE" mode="Opaque" x="350" y="22" width="184" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="91374ba2-c43e-47c8-9fc1-0196d4a6540a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_KUNDE}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_SORTIERUNG" mode="Opaque" x="60" y="36" width="150" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="5376dbfe-6d84-4d29-8955-02b78a888fca"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SORTIERUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Von-1" mode="Transparent" x="145" y="22" width="25" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="1cd139ef-9844-4107-9c25-e74341b8035c">
					<printWhenExpression><![CDATA[new Boolean($P{P_VON}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Von]]></text>
			</staticText>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="false">
				<reportElement key="VON-1" mode="Transparent" x="170" y="22" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="d1e50009-1cf4-4603-bf23-7d2404d7f54f">
					<printWhenExpression><![CDATA[new Boolean($P{P_VON}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_VON}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Bis-1" mode="Transparent" x="230" y="22" width="25" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="8010966e-3ada-46ae-a57d-c70e5dac1a99">
					<printWhenExpression><![CDATA[new Boolean($P{P_BIS}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Bis]]></text>
			</staticText>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="false">
				<reportElement key="BIS-1" mode="Transparent" x="255" y="22" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3b0a76f1-1a74-4c99-8819-7c66726b1de0">
					<printWhenExpression><![CDATA[new Boolean($P{P_BIS}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BIS}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Gruppierung" mode="Transparent" x="0" y="36" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="55957883-c66c-40fb-9e50-b1aee0e2cfbb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Gruppiert nach]]></text>
			</staticText>
			<staticText>
				<reportElement key="ReklamationsNr" mode="Transparent" x="0" y="46" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0f016a7b-bd3d-4d48-913a-e9cbfc2600dc"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[ReklamationsNr.]]></text>
			</staticText>
			<staticText>
				<reportElement key="Kunde" mode="Transparent" x="195" y="46" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ba410655-3e65-4a3b-91bc-a054993f0779"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Kunde]]></text>
			</staticText>
			<line direction="BottomUp">
				<reportElement key="line-1" mode="Opaque" x="0" y="56" width="535" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="f8a67c40-ac94-4a40-8f9d-c91929d9bd77"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement key="Reklamationsart" mode="Transparent" x="60" y="46" width="75" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="cf44cc26-de60-4cc9-915b-40f324443ecd"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Reklamationsart]]></text>
			</staticText>
			<staticText>
				<reportElement key="Verursacher" mode="Transparent" x="135" y="46" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="672d005c-8111-4b80-ac8f-fa205fb69892"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Verursacher]]></text>
			</staticText>
			<staticText>
				<reportElement key="Maschinengruppe" mode="Transparent" x="295" y="46" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="2e0ec77f-bbd6-46ef-ab38-e4ac403ae7fe"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Masch.Gruppe]]></text>
			</staticText>
			<staticText>
				<reportElement key="Fehlerart" mode="Transparent" x="355" y="46" width="80" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="df77c55b-f289-430c-845d-7601cd9c7c4b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Fehlerart]]></text>
			</staticText>
			<staticText>
				<reportElement key="Materialkosten" mode="Transparent" x="435" y="46" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="066ce88b-3cb4-4e8e-b5a6-59e3f21d8b81"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Mat.Kosten]]></text>
			</staticText>
			<staticText>
				<reportElement key="Arbeitskosten" mode="Transparent" x="485" y="46" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="d221480a-8569-4532-8201-d6e73af4ea29"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Arb.Kosten]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="320" y="32" width="215" height="11" forecolor="#000000" backcolor="#FFFFFF" uuid="091dcf44-730f-4dcb-a1ea-feb40e4c8711"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_NURBERECHTIGTE} ? "Nur brechtigte" : "auch nicht berechtigte"]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Reklamationsnummer" mode="Transparent" x="0" y="0" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0564da88-8a08-4260-a8d3-af5bfde2c684"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Reklamationsnummer}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Reklamationsart" mode="Transparent" x="60" y="0" width="75" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="56253eed-3d2d-43ef-a42f-3273e1fbc882"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Reklamationsart}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Verursacher" mode="Transparent" x="135" y="0" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="87d23f70-2a62-4893-8eee-2d6a34e21135"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Verursacher}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Kunde" mode="Transparent" x="195" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="caa94a56-a2db-404b-bbfd-b848def81a05"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Kunde}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Maschinengruppe" mode="Transparent" x="295" y="0" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="fa50f703-c494-4005-97b3-2ee73a582965"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Maschinengruppe}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Fehlerart" mode="Transparent" x="355" y="0" width="80" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="f2ff2d04-e11e-49b4-92c1-2b4ca6a5b8c8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Fehlerart}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="Materialkosten" mode="Transparent" x="435" y="0" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="52462b22-e4c4-4410-8fb1-f31c79f1e14a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Materialkosten}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="Arbeitskosten" mode="Transparent" x="485" y="0" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="d3298e0e-54b2-42fe-96db-f9cf8a4d9cf3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Arbeitskosten}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="220" splitType="Stretch">
			<pieChart>
				<chart>
					<reportElement x="0" y="31" width="535" height="189" uuid="3e388bae-cdc5-4c1f-9075-0631606748cb"/>
					<chartTitle>
						<font fontName="Arial" size="8"/>
					</chartTitle>
					<chartSubtitle>
						<font fontName="Arial" size="6"/>
					</chartSubtitle>
					<chartLegend position="Right">
						<font fontName="Arial" size="6"/>
					</chartLegend>
				</chart>
				<pieDataset>
					<keyExpression><![CDATA[$P{P_SORTIERUNG}.compareTo( "Fehlerart" ) == 0 ?
 $F{Fehlerart} :
 ($P{P_SORTIERUNG}.compareTo( "Maschinengruppe" ) == 0 ?
  $F{Maschinengruppe} :
  ($P{P_SORTIERUNG}.compareTo( "Maschinengruppe + Verursacher" ) == 0 ?
   $F{Maschinengruppe} + " " + $F{Verursacher} :
   $F{Verursacher}
  )
 )]]></keyExpression>
					<valueExpression><![CDATA[$V{ReklaAnzahl}]]></valueExpression>
				</pieDataset>
				<piePlot legendLabelFormat="{1} {0}">
					<plot/>
					<itemLabel color="#000000" backgroundColor="#FFFFFF">
						<font fontName="Arial"/>
					</itemLabel>
				</piePlot>
			</pieChart>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="Materialkosten" mode="Transparent" x="435" y="1" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ed7dbf81-9ff1-47e2-aa72-404e42d0da42"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Materialkosten_Gesamt}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement key="Arbeitskosten" mode="Transparent" x="485" y="1" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="15878735-50ca-449c-8ae6-f92c59782e54"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Arbeitskosten_Gesamt}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="0" width="535" height="1" uuid="178c684a-3747-4b73-8f64-7859d737339d"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement key="Kosten Gesamt" mode="Transparent" x="0" y="1" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="592cb442-b6d3-44ea-9ab7-401a43fac6d3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Kosten Gesamt]]></text>
			</staticText>
			<staticText>
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="140" y="11" width="90" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="af8532e1-d8eb-46da-bdf2-636e05dcd21c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[abgelieferte Baugruppen]]></text>
			</staticText>
			<textField pattern="#,##0">
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="230" y="11" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="33507d06-b8d6-4621-802b-4cb45334561d"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ablieferungen}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="290" y="11" width="80" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="fccc4b71-726a-40a1-8f9b-6d05568c4a9c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Anzahl Ablieferungen]]></text>
			</staticText>
			<textField pattern="#,##0">
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="375" y="11" width="40" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0bffccbb-c5e8-4ceb-a214-006ac84e38ee"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Anzahl_Ablieferungen}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="0" y="21" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="20d835cb-ea54-4014-8e90-a60f420b031c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Fehler pro 1Mio Ablieferung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="140" y="21" width="30" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8df55d62-13cb-4755-9324-c616ec23c108"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[ppm]]></text>
			</staticText>
			<textField pattern="#,##0">
				<reportElement x="0" y="11" width="40" height="10" uuid="e6679817-380f-40da-97af-f72c5217692f"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{ReklaAnzahl_Gesamt}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0">
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="105" y="21" width="35" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="3b8f17ed-c1bb-4811-bbdd-7cde7b8440a5"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{ReklaAnzahl_Gesamt}.doubleValue() * 1000000.00 /
$V{Ablieferungen}.doubleValue()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Ablieferungen Menge" mode="Transparent" x="40" y="11" width="90" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="041df087-f2a7-458f-86e8-77e4ca5d64f0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Gesamt Fehleranzahl]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="430" y="11" width="30" height="10" forecolor="#000000" uuid="43cd2cd0-c6a7-4fe3-8b80-1791cc3a85ad"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_KPI_VARIABLEN}.put("ReklamationMaterialGesamt",$V{Materialkosten_Gesamt} )]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="460" y="11" width="30" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="e8601355-2ae3-4cf9-9317-3f7bc7e9cb7e"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_KPI_VARIABLEN}.put("ReklamationArbeitGesamt",$V{Arbeitskosten_Gesamt} )]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="490" y="11" width="30" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="da7cd68a-50eb-4fb7-8ba5-e309b941099e"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_KPI_VARIABLEN}.put("ReklamationsanzahlGesamt",$V{ReklaAnzahl_Gesamt} )]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
